server:
  port: 8081
# DataSource Config
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://127.0.0.1:3306/light_application_db?useUnicode=true&useSSL=false&characterEncoding=utf8&serverTimezone=Asia/Shanghai
    #url: jdbc:mysql://192.168.1.253:3306/light_application_db?useUnicode=true&useSSL=false&characterEncoding=utf8&serverTimezone=Asia/Shanghai
    username: root
    password: 123456
  redis:
    host: 127.0.0.1
    port: 6379
    password:
    jedis:
      pool:
        max-active: 200
        # 连接池最大阻塞等待时间（使用负值表示没有限制） 表示连接池的链接拿完了 现在去申请需要等待的时间
        max-wait: -1
        # 连接池中的最大空闲连接
        max-idle: 10
        # 连接池中的最小空闲连接
        min-idle: 0
      # 连接超时时间（毫秒） 去链接redis服务端
    timeout: 6000
    database: 1
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB

  web:
    resources:
      static-locations: file:${file.path},classpath:/static/

file:
  #文件保存的目录路径
  path: "D:/files/"
http:
  addr: https://miniapp.cqjudong.com/base/
#security:
#  user:
#    name: user
#    password: 111111
mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    #控制台打印sql
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  #xml文件路径
  mapper-locations: classpath*:/mapper/**Mapper.xml

qyy:
  jwt:
    header: Authorization
    expire: 604800 #7天，秒单位
    secret: ji8n3439n439n43ld9ne9343fdfer49h # 秘钥

#发短信的配置
sms:
  sms_name: "重庆市城市管理局"
  sms_apid: xxzx_w
  sms_secret: XXZXWebsite2022!
  sms_sign: dcIlLVv2H
  sms_url: http://112.35.1.155:1992/sms/norsubmit
  sms_content: "重庆市城市管理局温馨提示：您正在{doing}，验证码为：{yzm}，该验证码10分钟有效，请勿泄露给他人。"

weChat:
  appId: wxc4466f468dcf82a5
  appSecret: b8b63b8d5bd3c1d18d450109bde3f0b2

#登录区域限制配置
map:
  #坐标经度
  longitude: 106.524273
  #坐标纬度
  latitude: 29.623253
  #判断范围
  range:
